package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.auth.api.entity.SysUser;

/**
 * 对应数据库表(student):
 */
public class Student extends SysUser {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5869690088559659057L;

	/**  */
	private Integer userId;
	
	/**  */
	private String subjectIdList;

	/**  */
	private String subjectNames;

	private Integer serviceTag;

	private Integer operatingTag;

	private Integer operatingTempTag;

	private Integer teacherId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private String teacherName;

	private Boolean isNewUser;

	public Student(Integer userId, String subjectIdList) {
		this.userId = userId;
		this.subjectIdList = subjectIdList;
	}

	public Boolean getIsNewUser() {
		return isNewUser;
	}

	public void setIsNewUser(Boolean isNewUser) {
		this.isNewUser = isNewUser;
	}

	public String getSubjectNames() {
		return subjectNames;
	}

	public void setSubjectNames(String subjectNames) {
		this.subjectNames = subjectNames;
	}

	public Student(Integer userId) {
		this.userId = userId;
	}

	public Student() {
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setSubjectIdList(String subjectIdList){
		this.subjectIdList = subjectIdList;
	}
	
	public String getSubjectIdList(){
		return this.subjectIdList;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}


	public Integer getServiceTag() {
		return serviceTag;
	}

	public void setServiceTag(Integer serviceTag) {
		this.serviceTag = serviceTag;
	}

	public Integer getOperatingTag() {
		return operatingTag;
	}

	public void setOperatingTag(Integer operatingTag) {
		this.operatingTag = operatingTag;
	}

	public Integer getOperatingTempTag() {
		return operatingTempTag;
	}

	public void setOperatingTempTag(Integer operatingTempTag) {
		this.operatingTempTag = operatingTempTag;
	}

	public Integer getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Integer teacherId) {
		this.teacherId = teacherId;
	}
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public String getTeacherName() {
		return teacherName;
	}

	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}
}
